Bug 239494 - setuputil: use adm.conf instead of dbswitch.conf, ldap.conf, etc
setuputil: use adm.conf instead of dbswitch.conf, ldap.conf, etc
Status: CLOSED CURRENTRELEASE
Product: 389
Classification: Community
Component: Admin (Show other bugs)
1.0.4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rich Megginson
Viktor Ashirov
:
Depends On:
Blocks: 152373 240316 FDS1.1.0
  Show dependency treegraph
 
Reported: 2007-05-08 16:55 EDT by Rich Megginson
Modified: 2015-12-07 11:55 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 11:55:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
files (456 bytes, text/plain)
2007-05-08 16:57 EDT, Rich Megginson
no flags Details
diffs (38.73 KB, patch)
2007-05-08 16:58 EDT, Rich Megginson
no flags Details | Diff
cvs commit log (1.96 KB, text/plain)
2007-05-08 21:30 EDT, Rich Megginson
no flags Details

  None (edit)
Description Rich Megginson 2007-05-08 16:55:21 EDT
There are too many config files scattered about the file system.  We should just
use adm.conf.
Many functions still accept the old server root style of path naming.  We need
to instead change those functions to accept the full path of the directory
containing the config file in question.
Comment 1 Rich Megginson 2007-05-08 16:57:24 EDT
Created attachment 154360 [details]
files
Comment 2 Rich Megginson 2007-05-08 16:58:19 EDT
Created attachment 154361 [details]
diffs
Comment 3 Noriko Hosoi 2007-05-08 20:07:31 EDT
Your fixes look good.

If the HISTORY is too lengthy, you may want to remove $Log?
This is an example from product.cc...
 ** $Log: product.cc,v $
Comment 4 Rich Megginson 2007-05-08 21:30:33 EDT
Created attachment 154372 [details]
cvs commit log
Comment 5 Rich Megginson 2007-05-08 21:31:32 EDT
Reviewed by: nhosoi (Thanks!)
Files: https://bugzilla.redhat.com/bugzilla/attachment.cgi?id=154360
Branch: HEAD
Fix Description: Just use adm.conf for the information we used to get from
dbswitch.conf, ldap.conf, and so on.  We will need to change admin server
installation to update the correct information in those files.  I also changed
many of the functions that accept a server root parameter to accept instead the
full path of the directory containing the configuration file.
Platforms tested: RHEL4
Flag Day: no
Doc impact: Yes.  We will have to doc that those other files are no longer used. 
Comment 6 Nathan Kinder 2007-12-21 14:13:50 EST
This fix doesn't apply anymore as we've moved away from using setuputil.  The
fixes were checked in however.

Marking as VERIFIED.

Note You need to log in before you can comment on or make changes to this bug.